oracle.jdbc.dcn

## Enum RowChangeDescription.RowOperation

- java.lang.Object
- - java.lang.Enum<RowChangeDescription.RowOperation>
  - - oracle.jdbc.dcn.RowChangeDescription.RowOperation

All Implemented Interfaces:
  Serializable, Comparable<RowChangeDescription.RowOperation>

Enclosing interface:
  RowChangeDescription

    public static enum RowChangeDescription.RowOperation
    extends Enum<RowChangeDescription.RowOperation>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DELETE`
`INSERT`
`UPDATE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`int` `getCode()` Implementation detail (for internal use only).
`static RowChangeDescription.RowOperation` `getRowOperation(int code)` Deprecated. This method is deprecated in 21. Use `getRowOperations(int)` instead.
`static EnumSet<RowChangeDescription.RowOperation>` `getRowOperations(int code)`
`static RowChangeDescription.RowOperation` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RowChangeDescription.RowOperation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INSERT

    public static final RowChangeDescription.RowOperation INSERT

#### UPDATE

    public static final RowChangeDescription.RowOperation UPDATE

#### DELETE

    public static final RowChangeDescription.RowOperation DELETE

### Method Detail

#### values

    public static RowChangeDescription.RowOperation[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (RowChangeDescription.RowOperation c : RowChangeDescription.RowOperation.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static RowChangeDescription.RowOperation valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getCode

    public final int getCode()

Implementation detail (for internal use only).

#### getRowOperation

    @Deprecated
    public static final RowChangeDescription.RowOperation getRowOperation(int code)

Deprecated. This method is deprecated in 21. Use `getRowOperations(int)` instead.
Implementation detail (for internal use only).

#### getRowOperations

    public static final EnumSet<RowChangeDescription.RowOperation> getRowOperations(int code)

Copyright © 2008, 2020, Oracle and/or its affiliates. All rights reserved.